package com.jxml.quick.engine;
import com.jxml.quick.*;
import com.jxml.quick.access.*;
import com.jxml.quick.tf.*;

public class QRepeatingAccess extends QOptionalAccess
{
    protected Object get(Object parent, QContext context)
	throws QPE
    {
	validateParent(parent,context);
	QCMFactory cmf=(QCMFactory)parent;
	return new Boolean(cmf.repeating);
    }

    public void add(Object parent, 
		    QTargetFactory parentFactory,
		    Object child, 
		    QContext context)
	throws QPE
    {
	validateParent(parent,context);
	validateChild(child,context);
	QCMFactory cmf=(QCMFactory)parent;
	cmf.repeating=((Boolean)child).booleanValue();
    }
}
